import {StringUtil} from "@app/core/utils/string.util";
import {StateEnum} from "@app/shared/enums/state.enum";

export function TypeDefaultAction(state: StateEnum): ClassDecorator {
  return (target: any) => {
    target.type = StringUtil.format(target.type, state);
  };
}
