import {PagingModel} from "@app/shared/models/paging.model";
import {SearchModel} from "@app/shared/models/search.model";
import {SortModel} from "@app/shared/models/sort.model";

export interface QueryParametersModel {
  sort?: SortModel;
  paging?: PagingModel;
  search?: SearchModel;
}

export class QueryParametersModel implements QueryParametersModel {
  constructor(defaultPageSize?: number) {
    this.paging = new PagingModel(defaultPageSize);
    this.search = new SearchModel();
  }
}
