import {CollectionModel, PageModel} from "@app/generated-api";

export class CollectionTypedModel<T> implements CollectionModel {
  /**
   * List the collection of the resources
   */
  _data?: T[];
  /**
   * Gives the total pages and the total available items of one resource
   */
  _page?: PageModel;
  /**
   * All links available on the resource
   */
  _links?: object;
}

